### Class

# Devhelp SettingsBuilder

#### Description

    class Devhelp.SettingsBuilder : GObject.Object
    {
      DhSettingsBuilderPrivate* priv
    }

No description available.

#### Ancestors

- GObject

#### Constructors

###### dh_settings_builder_new

No description available.

since: 3.30

#### Instance methods

###### dh_settings_builder_create_object

No description available.

since: 3.30

###### dh_settings_builder_set_contents_path

Sets the path for the “contents” schema.

since: 3.30

###### dh_settings_builder_set_fonts_path

Sets the path for the “fonts” schema.

since: 3.30

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct DevhelpSettingsBuilderClass {
      GObjectClass parent_class;
      gpointer padding;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`padding: gpointer`

  No description available.